package cn.com.qmth.examcloud.tool.utils;

import org.apache.commons.lang3.StringUtils;

public class FssHelper {

    /**
     * 获取文件的最终完整访问路径（兼容旧数据）
     *
     * @param filePath 文件存储路径，格式示例：
     *                 https://xxx.xxx/abc/123.jpg
     *                 upyun-1://abc/123.jpg
     *                 aliyun-1://abc/123.jpg
     *                 aliyun-2://abc/123.jpg
     *                 /abc/123.jpg
     *                 abc/123.jpg
     * @return 最终访问地址，如: https://xxx.xxx/abc/123.jpg
     */
    public static String finalFileUrl(String filePath, String urlPrefix) {
        if (StringUtils.isEmpty(filePath)) {
            return "";
        }

        if (filePath.toLowerCase().startsWith("http")) {
            return filePath;
        }

        filePath = filePath.replace("upyun-1://", "")
                .replace("aliyun-1://", "")
                .replace("aliyun-2://", "");

        if (StringUtils.isEmpty(urlPrefix)) {
            urlPrefix = "https://ecs-static.qmth.com.cn";
        }
        if (filePath.startsWith("/")) {
            return urlPrefix + filePath;
        }

        return urlPrefix + "/" + filePath;
    }

}
